Bug 1702982 (CVE-2019-2636) - CVE-2019-2636 mysql: Server: Group Replication Plugin unspecified vulnerability (CPU Apr 2019)
Summary: CVE-2019-2636 mysql: Server: Group Replication Plugin unspecified vulnerabili...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2636
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1706923 1707105 1707123 1707124
Blocks: 1703000
TreeView+ depends on / blocked
 
Reported: 2019-04-25 09:20 UTC by Tomas Hoger
Modified: 2019-09-29 15:12 UTC (History)
21 users (show)

Fixed In Version: mysql 8.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 08:48:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2518 None None None 2019-08-19 08:20:07 UTC
Red Hat Product Errata RHSA-2019:2484 None None None 2019-08-14 07:00:08 UTC
Red Hat Product Errata RHSA-2019:2511 None None None 2019-08-15 17:47:27 UTC

Description Tomas Hoger 2019-04-25 09:20:28 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Group Replication Plugin). Supported versions that are affected are 8.0.15 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via MySQL Procotol to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html

Comment 1 Tomas Hoger 2019-05-06 14:02:28 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-29 [bug 1706923]

Comment 2 Tomas Hoger 2019-05-06 19:57:27 UTC
Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-28 [bug 1707105]

Comment 4 errata-xmlrpc 2019-08-14 07:00:07 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:2484 https://access.redhat.com/errata/RHSA-2019:2484

Comment 5 Product Security DevOps Team 2019-08-14 08:48:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2636

Comment 6 errata-xmlrpc 2019-08-15 17:47:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2511 https://access.redhat.com/errata/RHSA-2019:2511


Note You need to log in before you can comment on or make changes to this bug.